#include "partition.h"
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

vector<int> solve(vector<int> A) {
    int n = A.size();
    vector<int> rez(n);
    rez[0] = n - 1;
    for (int i = 1; i < n; i++) {
        rez[i] = i - 1;
    }

    return rez;
}
